/***************************************************************
*  源程序名：SynTask3_3_2.cpp                    			   *
*  功能：请用枚举类型表示一年的十二个月份，                    *
*        然后根据用户输入的月份输出该月份的天数。              *
****************************************************************/
#include <iostream.h>
enum Month			//定义“月份”枚举类型Month
{
	Jan=1,Feb,Mar,Apr,May,Jun,Jul,Aug,Sep,Oct,Nov,Dec
};

void main()
{
	Month m;		//定义Month枚举变量m
	int month;

	cout<<"请输入一个代表月份的数字(1-12)：";
	cin>>month;
	m=(Month)month;	

	if(m==Jan||m==Mar||m==May||m==Jul||m==Aug||m==Oct||m==Dec)
		cout<<m<<"月有31天"<<endl;
	else if(m==Apr||m==Jun||m==Sep||m==Nov)
		cout<<m<<"月有30天"<<endl;	
	else
		cout<<"2月闰年29天，否则28天"<<endl;
}